extends Node2D

func _ready():
	# start the oneshot particle emitter
	$Streaks.emitting = true
	$SmallSpray.emitting = true
	$LargeSpray.emitting = true
	$Blob.emitting = true
	# set own color to have a random hue, be saturated, and kinda bright
	modulate = Color.from_hsv(randf(), 1.0, rand_range(0.5,1.0))
	pass

# as soon as oneshot particles are done - delete self
func _process(delta):
	if not $Streaks.emitting:
		queue_free()
	pass
